All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.export
Interface ExportSelectorComponentNames

    public interface ExportSelectorComponentNames

Contains the names of the sub components used by the `ExportSelectorPanel`

Since:
  3.1

Field Summary
`static java.lang.String` | `COLUMNS_CHECK_BOX_LIST_NAME` The name of the CheckBoxList that allows the user to choose the columns to export.
`static java.lang.String` | `COLUMNS_LABEL_NAME` The name of the Columns label.
`static java.lang.String` | `COLUMNS_RADIO_BOX_NAME` The name of the Columns radio box.
`static java.lang.String` | `EXPORT_SAVE_RADIO_BOX_NAME` The name of the 'Export/Save' radio.
`static java.lang.String` | `FORMAT_CHECK_BOX_NAME` The name of the Format check box.
`static java.lang.String` | `FORMAT_LABEL_NAME` The name of the Format label.
`static java.lang.String` | `FROM_LABEL_NAME` The name of the From label.
`static java.lang.String` | `FROM_TEXT_ENTRY_NAME` The name of the From text entry.
`static java.lang.String` | `INCLUDE_LABEL_NAME` The name of the Include label.
`static java.lang.String` | `INCLUDE_RADIO_BOX_NAME` The name of the Include radio box.
`static java.lang.String` | `NAME_SEPARATOR` The separator used to separate the selector name from the component name when creating the final component name (e.g.
`static java.lang.String` | `OPTIONS_LABEL_NAME` The name of the Options label.
`static java.lang.String` | `OUTPUT_LABEL_NAME` The name of the Output label.
`static java.lang.String` | `OUTPUT_TYPE_LIST_BOX_NAME` The name of the Output Type list box.
`static java.lang.String` | `REPEAT_ROW_LABELS_CHECK_BOX_NAME` The name of the Repeat Row Labels check box.
`static java.lang.String` | `ROWS_LABEL_NAME` The name of the Rows label.
`static java.lang.String` | `SAVE_AS_LIST_BOX_NAME` The name of the 'Save as' list box.
`static java.lang.String` | `TO_LABEL_NAME` The name of the To label.
`static java.lang.String` | `TO_TEXT_ENTRY_NAME` The name of the To text entry.

Field Detail

### NAME_SEPARATOR

    static final java.lang.String NAME_SEPARATOR

  The separator used to separate the selector name from the component name when creating the final component name (e.g. ExportSelector_outputLabel). "_"

  See Also:
    Constant Field Values

### OUTPUT_LABEL_NAME

    static final java.lang.String OUTPUT_LABEL_NAME

  The name of the Output label. "outputLabel"

  See Also:
    Constant Field Values

### INCLUDE_LABEL_NAME

    static final java.lang.String INCLUDE_LABEL_NAME

  The name of the Include label. "includeLabel"

  See Also:
    Constant Field Values

### FROM_LABEL_NAME

    static final java.lang.String FROM_LABEL_NAME

  The name of the From label. "fromLabel"

  See Also:
    Constant Field Values

### TO_LABEL_NAME

    static final java.lang.String TO_LABEL_NAME

  The name of the To label. "toLabel"

  See Also:
    Constant Field Values

### FORMAT_LABEL_NAME

    static final java.lang.String FORMAT_LABEL_NAME

  The name of the Format label. "formatLabel"

  See Also:
    Constant Field Values

### OPTIONS_LABEL_NAME

    static final java.lang.String OPTIONS_LABEL_NAME

  The name of the Options label. "optionsLabel"

  See Also:
    Constant Field Values

### OUTPUT_TYPE_LIST_BOX_NAME

    static final java.lang.String OUTPUT_TYPE_LIST_BOX_NAME

  The name of the Output Type list box. "exportToListBox"

  When used to pass the component value through the HTTP Request must be prepended by the ActionProvider prefix (e.g. AP1_outputType, where AP1_ is the ActionProvider prefix).

  Says what's output type the data must be exported to.

  The valid value to pass to the HTTP Request is one of: `ExportSelectorInterface.EXCEL_HTML_OUTPUT_TYPE` `ExportSelectorInterface.WORD_HTML_OUTPUT_TYPE`

  See Also:
    Constant Field Values

### SAVE_AS_LIST_BOX_NAME

    static final java.lang.String SAVE_AS_LIST_BOX_NAME

  The name of the 'Save as' list box. "saveAsListBox"

  When used to pass the component value through the HTTP Request must be prepended by the ActionProvider prefix (e.g. AP1_saveAs, where AP1_ is the ActionProvider prefix).

  Says what's output type the data must be saved as.

  The valid value to pass to the HTTP Request is one of: `ExportSelectorInterface.EXCEL_TSV_OUTPUT_TYPE`, `ExportSelectorInterface.EXCEL_CSV_OUTPUT_TYPE`, `ExportSelectorInterface.EXCEL_XML_OUTPUT_TYPE`,

  See Also:
    Constant Field Values

### INCLUDE_RADIO_BOX_NAME

    static final java.lang.String INCLUDE_RADIO_BOX_NAME

  The name of the Include radio box. "rows"

  When used to pass the component value through the HTTP Request, must be prepended by the ActionProvider prefix (e.g. AP1_rows, where AP1_ is the ActionProvider prefix).

  Tells if all the rows or only a specific range of rows must be exported.

  The valid value to pass to the HTTP Request is one of: `ExportSelectorInterface.ALL_ROWS`, `ExportSelectorInterface.PARTIAL_ROWS`

  See Also:
    Constant Field Values

### EXPORT_SAVE_RADIO_BOX_NAME

    static final java.lang.String EXPORT_SAVE_RADIO_BOX_NAME

  The name of the 'Export/Save' radio. "exp_save"

  When used to pass the component value through the HTTP Request, must be prepended by the ActionProvider prefix (e.g. AP1_exp_save, where AP1_ is the ActionProvider prefix).

  Tells if an 'Export to' or a 'Save as' has to be performed.

  The valid value to pass to the HTTP Request is one of: `ExportSelectorInterface.EXPORT_TO`, `ExportSelectorInterface.SAVE_AS`

  See Also:
    Constant Field Values

### FROM_TEXT_ENTRY_NAME

    static final java.lang.String FROM_TEXT_ENTRY_NAME

  The name of the From text entry. "startRow"

  When used to pass the component value through the HTTP Request, must be prepended by the ActionProvider prefix (e.g. AP1_startRow, where AP1_ is the ActionProvider prefix).

  It's the index of the first row (in the data model) to be exported.

  When the value passed for `INCLUDE_RADIO_BOX_NAME` is `ExportSelectorInterface.PARTIAL_ROWS`, this parameter can be set to a positive number.

  See Also:
    Constant Field Values

### TO_TEXT_ENTRY_NAME

    static final java.lang.String TO_TEXT_ENTRY_NAME

  The name of the To text entry. "endRow"

  When used to pass the component value through the HTTP Request, must be prepended by the ActionProvider prefix (e.g. AP1_endRow, where AP1_ is the ActionProvider prefix).

  It's the index of the last row (in the data model) to be exported.

  When the value passed for `INCLUDE_RADIO_BOX_NAME` is `ExportSelectorInterface.PARTIAL_ROWS`, this parameter can be set to a number bigger or equal to the one set for the `FROM_TEXT_ENTRY_NAME` parameter.

  See Also:
    Constant Field Values

### FORMAT_CHECK_BOX_NAME

    static final java.lang.String FORMAT_CHECK_BOX_NAME

  The name of the Format check box. "formatted"

  When used to pass the component value through the HTTP Request, must be prepended by the ActionProvider prefix (e.g. AP1_formatted, where AP1_ is the ActionProvider prefix).

  Says if formatted or raw data must be exported.

  The valid value to pass to the HTTP Request is one of: `ExportSelectorInterface.FORMATTED_DATA`, `ExportSelectorInterface.RAW_DATA`

  See Also:
    Constant Field Values

### REPEAT_ROW_LABELS_CHECK_BOX_NAME

    static final java.lang.String REPEAT_ROW_LABELS_CHECK_BOX_NAME

  The name of the Repeat Row Labels check box. "repeatLabels"

  When used to pass the component value through the HTTP Request, must be prepended by the ActionProvider prefix (e.g. AP1_repeatLabels, where AP1_ is the ActionProvider prefix).

  When OLAP it says if the row labels of the expanded rows must be repeated for each row in the exported result.

  The valid value to pass to the HTTP Request is one of: `ExportSelectorInterface.REPEAT_ROW_LABELS`, `ExportSelectorInterface.REPEAT_ROW_LABELS`

  See Also:
    Constant Field Values

### COLUMNS_CHECK_BOX_LIST_NAME

    static final java.lang.String COLUMNS_CHECK_BOX_LIST_NAME

  The name of the CheckBoxList that allows the user to choose the columns to export. "columns"

  When used to pass the component value through the HTTP Request must be prepended by the ActionProvider prefix (e.g. AP1_columns, where AP1_ is the ActionProvider prefix).

  Says what columns have to be exported.

  The valid values to pass to the HTTP Request are ids that uniquely identify columns

  See Also:
    Constant Field Values

### ROWS_LABEL_NAME

    static final java.lang.String ROWS_LABEL_NAME

  The name of the Rows label. "rowsLabel"

  See Also:
    Constant Field Values

### COLUMNS_LABEL_NAME

    static final java.lang.String COLUMNS_LABEL_NAME

  The name of the Columns label. "columnLabel"

  See Also:
    Constant Field Values

### COLUMNS_RADIO_BOX_NAME

    static final java.lang.String COLUMNS_RADIO_BOX_NAME

  The name of the Columns radio box. "whichColumns"

  When used to pass the component value through the HTTP Request, must be prepended by the ActionProvider prefix (e.g. AP1_columnsType, where AP1_ is the ActionProvider prefix).

  Tells if all the columns or only a specific subset of columns have to be exported.

  The valid value to pass to the HTTP Request is one of: `ExportColumnsInterface.ALL_COLUMNS`, `ExportColumnsInterface.DISPLAYED_COLUMNS` `ExportColumnsInterface.SELECTED_COLUMNS`

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.